---
title: 唐·诺曼—情感设计的三个层次
tags:
  - 设计美学
---
原文：[Norman's Three Levels of Design](https://www.interaction-design.org/literature/article/norman-s-three-levels-of-design)
![](https://pic2.zhimg.com/80/v2-775977de1d9ccd4ff61344ccc523b5b1_1440w.jpg)
# 唐·诺曼—情感设计的三个层次

在人类的内心世界，有许多部分负责我们所说的情感，总的来说，这些区域共同构成了情感系统。唐·诺曼（Don Norman）提出，情感系统由三个不同但相互联系的层次组成，每个层次都以一种特殊的方式影响着我们对世界的体验。这三个层次是本能层，行为层和反思层。本能层与人类情绪中固有的、自发的以及符合动物性的特性相关，这些基本上是不受人类本身控制的。行为层指的是人类行为中那些可控的方面，在这种情况下，我们下意识的分析所处情况并且制定以目标为导向的策略，从而能够在最短时间内或是以最少的行动达到效果。正如唐·诺曼所言，反思层是指“有意识的思考，对新概念进行学习，和对世界进行归纳。”这三个层次作为情感系统的不同维度独立存在，又相互关联，相互影响，从而创造了我们对世界的整体情感体验。

在唐·诺曼的《情感化设计：为什么我们喜欢（或讨厌）日常事物》（一本认知科学，设计学，可用性工程领域杰出的学术作品）一书中，他对情感化系统的这三个方面或层次做了区分（它们三者综合影响着人类的情感或心理），即：本能层，行为层及反思层。这三者在情感系统中紧密交织在一起，并以各自特定的方式影响设计。以下是三者对应的相应三种设计层次。

## 本能层设计

本能层设计-“关注外观本身”。这一层次的设计关注的是事物中可以被直接感知的那部分特征以及它们是如何让用户或观察者产生感受的。例如，祖父的怀表和一个小的壁挂式时钟一样都包含了最基本的计时功功能，除了外观，他们在内在特征上没有任何不同，但是本能层（深层次的，无意识的，主观的和自发的感受）特征使它在拥有者眼中产生了区别。

如今产品开发过程中的很大一部分时间被用在本能层设计中，因为属于同一族群的产品往往具有相同或相似的功能，（比如说手电，水壶，面包机，台灯），所以更具特征的外观是区分产品和竞争者的关键因素。这也就是我们所说的”品牌化设计”——不是通过产品提供给用户区别于其他产品的实际利益，而是通过契合用户的态度、信仰、情感以及用户想要的感受，来引出用户对产品的情感上的回应。这可以是通过使用儿童、动物或是卡通形象的图片来传达年轻的感觉，也可以是通过对色彩（比如说，红色对应着“性感“，黑色对应着”恐怖”），形状（比如硬边缘形状）的运用，甚至是运用风格（比如装饰艺术），让人联想起某些特定的时代。本能设计旨在深入了解用户/消费者/观察者的头脑，并且通过牵动用户情绪来提升用户体验（比如说改善整体视觉形象）或是服务商业利益（比如说为了公司或产品所有者的利益，从情感上劫持用户使他们进行购买）。

## 行为层设计

行为层设计-“与使用的愉悦感和效率有关。”行为层设计可能更更常被称为可用性，而两者指的都是产品中实用性和功能性方面，或是是我们在所处环境中所能使用的任何产品的可用性。行为层设计（从现在起我们用这个词汇来代替可用性）着眼于，诸如，用户如何进行活动；如何快速和准确地实现他们的目标和目的；用户在执行某些任务时犯了多少错误；以及产品如何很好地适应熟练和缺乏经验的用户等问题。

行为层设计可能是最容易测试的，因为一旦对象的物理（比如说手柄、按钮、把手、控制杆、开关以及键）或可用部分以某种方式被改变或操作，就可以在表现层对其进行衡量。比如说，负责独立操作的两个按钮被放置在不同的距离从而测量用户连续完成这两个操作的时间。或者，通过相同的操作来测试错误率。涉及行为层体验的例子还包括，当我们拿出手机时能够迅速找到联系人并拨打号码的愉悦感；在电脑键盘上能够轻松打字，而在小的触屏设备，比如说iPod Touch上打字就比较困难；以及我们在使用一个设计良好的电脑游戏手柄（就像我的N64控制板）时的享受。行为层面本质上是指我们因完成或未能完成目标而产生的情绪。当产品/物品能够帮助我们用一点点有意识的努力，并且整个过程中遇到最少的困难就能完成目标，这时我们的情绪很可能是积极的。相反，当产品限制我们，迫使我们根据产品的限制来解释或调整我们的目标，或者只是让我们在使用产品时密切关注这些目标时，我们更倾向于产生一些负面情绪。


## 反思层设计

反思层设计“考虑产品的合理化和智能化。关于该产品我能讲述一个故事吗？它符合我的自我形象，我的自尊心需要吗？”这就是情感设计的最高层次；代表我们有意识有思想地进行设计；权衡其优缺点；利用我们更细微和理性的一面进行判断，并提取信息以确定它对我们个人的意义。反思思维使我们能够合理化环境信息以影响行为层。比如说智能手表。”基于这一点，韩国大学的研究员Jaewon Choi和Songcheol Kim考察了用户使用智能手表的目的主要是基于两个主要因素，一种是用户将智能手表视为技术创新另一种是将其作为奢侈时尚产品。从用户视角来看，将智能手表视为一项技术创新，这与他们对设备的实用性和易用性（行为层）的看法有关。另一方面，用户将智能手表视为一种奢侈时尚产品，这既和他们将如何享受智能手表的认知，也和智能手表将为他们提供怎样的自我表现力有关（即表达自己和增强形象的能力）。享受和自我表达都受到本能层的影响（“手表看起来漂亮吗？”）但也很受到反思层的影响（“当我的朋友看到我戴着这只表时，他们会怎么想？”）。

反思层调节了行为层带来的影响——用户很可能会忍受智能手表易用性方面的困难和缺点，因为他们相信他们能从智能手表中获得其他非功能性的利益。苹果智能手表的第一个版本充满了功能问题和可用性问题，但这并没有阻止苹果在销售智能手表的第一年创造出全球手表产业的第二大收入！

## The Take Away

在这里，我们介绍了唐·诺曼的三个设计层次：设计的本能层、行为层和反思层。设计的本能层指的是设计的第一印象，无论是从用户如何看待产品，还是从用户对产品的感受。行为层是指产品在使用过程中的体验。当我们想到用户体验时，我们常常会想到这个层次。反思层是指用户在使用前、使用中和使用后对产品的思考。这三个层次都结合在一起形成了整个产品体验。

## 参考

Choi, J., & Kim, S. (2016). “Is the smartwatch an IT product or a fashion product? A study on factors affecting the intention to use smartwatches”. Computers in Human Behavior, 63, 777-786.

作者：Andreas Komninos

译者：孔

审稿：Hoodie